
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 区域
    /// </summary>
    [Description("区域")]
    public class T_HM_HAZARD_TASK_AREA : MesEntityBase
    {
        /// <summary>
        /// 风险ID
        /// </summary>
        [Description("风险ID")]
        [DataFieldForeignKey("Nav_Task", "Nav_Areas")]
        public Guid TASK_ID { get; set; }
        /// <summary>
        /// 区域ID
        /// </summary>
        [Description("区域")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Area")]
        public Guid AREA_ID { get; set; }

        /// <summary>
        /// 导航属性：风险
        /// </summary>
        [Description("导航属性：风险")]
        public T_HM_HAZARD_TASK Nav_Task { get; set; }

        /// <summary>
        /// 导航属性：区域
        /// </summary>
        [Description("导航属性：区域")]
        public T_HM_RISK_AREA Nav_Area { get; set; }
    }
}
